org.apache.lucene.search

## Class TokenStreamToTermAutomatonQuery

- java.lang.Object
- - org.apache.lucene.search.TokenStreamToTermAutomatonQuery

    public class TokenStreamToTermAutomatonQuery
    extends Object

Consumes a TokenStream and creates an `TermAutomatonQuery` where the transition labels are tokens from the `TermToBytesRefAttribute`.

This code is very new and likely has exciting bugs!

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`TokenStreamToTermAutomatonQuery()` Sole constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setPreservePositionIncrements(boolean enablePositionIncrements)` Whether to generate holes in the automaton for missing positions, `true` by default.
`TermAutomatonQuery` `toQuery(String field, TokenStream in)` Pulls the graph (including `PositionLengthAttribute`) from the provided `TokenStream`, and creates the corresponding automaton where arcs are bytes (or Unicode code points if unicodeArcs = true) from each term.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TokenStreamToTermAutomatonQuery

    public TokenStreamToTermAutomatonQuery()

Sole constructor.

### Method Detail

#### setPreservePositionIncrements

    public void setPreservePositionIncrements(boolean enablePositionIncrements)

Whether to generate holes in the automaton for missing positions, `true` by default.

#### toQuery

    public TermAutomatonQuery toQuery(String field,
                                      TokenStream in)
                               throws IOException

Pulls the graph (including `PositionLengthAttribute`) from the provided `TokenStream`, and creates the corresponding automaton where arcs are bytes (or Unicode code points if unicodeArcs = true) from each term.

Throws:
  `IOException`